# std::filesystem::directory_entry::directory_entry

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

directory_entry() = default; | (1) | (since C++17)
directory_entry( const directory_entry& ) = default; | (2) | (since C++17)
directory_entry( directory_entry&& ) = default; | (3) | (since C++17)
explicit directory_entry( const std::filesystem::path& p ); | (4) | (since C++17)

Constructs a new `directory_entry` object.

1) Default constructor.
2) Defaulted copy constructor.
3) Defaulted move constructor.
4) Initializes the directory entry with path `p`.

### Parameters

| This section is incomplete

### Exceptions

1,3)
`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/directory_entry&oldid=91629"
Categories:

- Todo without reason
- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template